Eclipse Platform Release 3.7

## org.eclipse.team.core.synchronize
Class FastSyncInfoFilter.CompoundSyncInfoFilter

    java.lang.Object
      org.eclipse.team.core.synchronize.SyncInfoFilter
          org.eclipse.team.core.synchronize.FastSyncInfoFilter
              org.eclipse.team.core.synchronize.FastSyncInfoFilter.CompoundSyncInfoFilter

Direct Known Subclasses:
  FastSyncInfoFilter.AndSyncInfoFilter, FastSyncInfoFilter.OrSyncInfoFilter

Enclosing class:
  FastSyncInfoFilter

    public abstract static class FastSyncInfoFilter.CompoundSyncInfoFilter

extends FastSyncInfoFilter

An abstract class which contains a set of `FastSyncInfoFilter` instances. Subclasses must provide the `select(SyncInfo)` method for determining matches.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`FastSyncInfoFilter.AndSyncInfoFilter, FastSyncInfoFilter.AutomergableFilter, FastSyncInfoFilter.CompoundSyncInfoFilter, FastSyncInfoFilter.OrSyncInfoFilter, FastSyncInfoFilter.PseudoConflictFilter, FastSyncInfoFilter.SyncInfoChangeTypeFilter, FastSyncInfoFilter.SyncInfoDirectionFilter`

Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.SyncInfoFilter
`SyncInfoFilter.ContentComparisonSyncInfoFilter`

Field Summary
`protected FastSyncInfoFilter[]` `filters` Instance variable which contains all the child filters for this compound filter.

Constructor Summary
`protected` `FastSyncInfoFilter.CompoundSyncInfoFilter(FastSyncInfoFilter[] filters)` Create a compound filter that contains the provided filters.

Method Summary

Methods inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`getDirectionAndChangeFilter, select, select`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filters

    protected FastSyncInfoFilter[] filters

  Instance variable which contains all the child filters for this compound filter.

Constructor Detail

### FastSyncInfoFilter.CompoundSyncInfoFilter

    protected FastSyncInfoFilter.CompoundSyncInfoFilter(FastSyncInfoFilter[] filters)

  Create a compound filter that contains the provided filters.

  Parameters:
    `filters` - the child filters

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.